Bug 1373294 - Incorrect memory value under content host properties
Summary: Incorrect memory value under content host properties
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.2.0
Hardware: All
OS: Linux
medium
medium vote
Target Milestone: Unspecified
Assignee: Nagoor Shaik
QA Contact: Kedar Bidarkar
URL: http://projects.theforeman.org/issues...
Whiteboard: G
Keywords: PrioBumpGSS, Regression, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-05 20:18 UTC by Nagoor Shaik
Modified: 2019-04-01 20:26 UTC (History)
15 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-02-21 16:54:17 UTC


Attachments (Terms of Use)
showing memory correct with 10 GB (166.79 KB, image/png)
2016-10-31 07:31 UTC, Chris Roberts
no flags Details
No RAM displayed at all on 6.3-16.0.beta (54.56 KB, image/png)
2017-08-02 09:02 UTC, Daniel Lobato Garcia
no flags Details
No RAM displayed at all on another host (57.90 KB, image/png)
2017-08-02 09:03 UTC, Daniel Lobato Garcia
no flags Details
RAM value as seen from content-host page (26.97 KB, image/png)
2017-10-02 13:24 UTC, Kedar Bidarkar
no flags Details
Ram value as seen from subscriptions page (20.90 KB, image/png)
2017-10-02 13:26 UTC, Kedar Bidarkar
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 17132 None None None 2016-10-31 08:02 UTC
Foreman Issue Tracker 20030 None None None 2017-06-28 18:41 UTC
Red Hat Knowledge Base (Solution) 2835721 None None None 2016-12-27 01:51 UTC

Description Nagoor Shaik 2016-09-05 20:18:10 UTC
Description of problem:
Registering a system with more than 8+ GB of RAM, shows incorrect RAM information under Content Hosts >> Content Host Properties section

Version-Release number of selected component (if applicable):

Satellite 6.2.1 GA release

How reproducible:
100%

Steps to Reproduce:
1. Register a client system which has more than 8 GB of RAM
2. Check the Content Hosts >> Content Host Properties section on the webUI
3. It only shows incorrect memory

Actual results:
Content Hosts Properties section shows incorrect memory information. i.e. subscription-manager facts (dmi.memory.size: 6144 MB)

Expected results:
Content Host properties section should show the total memory from all DIMMs i.e. memory.memtotal

Additional info:

Issue seems to be at line 145 of the below

https://github.com/Katello/katello/blob/21c9750ba80f117474cce1f1dbac78646ab34e49/engines/bastion_katello/app/assets/javascripts/bastion_katello/content-hosts/details/views/content-host-info.html

Where dmi.memory.size is reported, which is not always correct. It should be memory.memtotal

Comment 6 Chris Roberts 2016-10-31 07:31 UTC
Created attachment 1215698 [details]
showing memory correct with 10 GB

Comment 8 Chris Roberts 2016-10-31 07:55:06 UTC
Created redmine issue:

http://projects.theforeman.org/issues/17132

Comment 9 Bryan Kearney 2016-10-31 10:18:31 UTC
Upstream bug component is WebUI

Comment 11 Nagoor Shaik 2017-01-16 23:36:52 UTC
This bug is fixed with following PR 

https://github.com/Katello/katello/pull/6524

 -- nagoor

Comment 12 pm-sat@redhat.com 2017-01-17 01:04:43 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/17132 has been resolved.

Comment 13 Daniel Lobato Garcia 2017-01-27 08:42:33 UTC
Setting as triaged as there's a fix already upstream

Comment 14 Yunyun Qu 2017-02-28 03:55:24 UTC
Is there any progress on this? 

As there is already a fix in upstream, could we push this forward to have a QA and release this ASAP? 


Thanks,
Yunyun

Comment 16 Yunyun Qu 2017-03-15 02:48:21 UTC
What is the latest update as 1 week passed since the last comment on Mar 8?

Comment 17 Mustufa Mithaiwala 2017-04-24 10:02:17 UTC
Hello Team,

Do we have any updates OR ETA as when this would fixed up?

Thanks,
Mustufa M

Comment 27 Daniel Lobato Garcia 2017-08-02 09:01:37 UTC
Failed QA.

Version Tested:

satellite-6.3.0-16.0.beta.el7sat.noarch
katello-3.4.2-1.el7sat.noarch
tfm-rubygem-bastion-5.0.6-2.fm1_15.el7sat.noarch

Current snap does NOT show the RAM values at all. I tried subscribing 2 hosts to 2 different satellites (all with the latest version), in both cases it failed to show the memory. 

[root@hp-ml370g6-01 ~]# subscription-manager facts | grep memory
dmi.memory.array_handle: 0x1000
dmi.memory.assettag: Not Specified
dmi.memory.bank_locator: Not Specified
dmi.memory.data_width: 64 bit
dmi.memory.error_correction_type: Single-bit ECC
dmi.memory.error_information_handle: No Error
dmi.memory.form_factor: DIMM
dmi.memory.location: System Board Or Motherboard
dmi.memory.locator: PROC 1 DIMM 4H
dmi.memory.manufacturer: Not Specified
dmi.memory.maximum_capacity: 192 GB
dmi.memory.part_number: Not Specified
dmi.memory.serial_number: Not Specified
dmi.memory.size: 2048 MB
dmi.memory.speed:   (ns)
dmi.memory.total_width: 72 bit
dmi.memory.type: Unknown
dmi.memory.use: System Memory
memory.memtotal: 13478569
memory.swaptotal: 8257532

[root@dell-per905-01 ~]# subscription-manager facts | grep memory
dmi.memory.array_handle: 0x1000
dmi.memory.assettag: 不明
dmi.memory.bank_locator: Not Specified
dmi.memory.data_width: 64 bit
dmi.memory.error_correction_type: Multi-bit ECC
dmi.memory.error_information_handle: Not Provided
dmi.memory.form_factor: DIMM
dmi.memory.location: System Board Or Motherboard
dmi.memory.locator: DIMM_C5
dmi.memory.manufacturer: 不明
dmi.memory.maximum_capacity: 256 GB
dmi.memory.part_number: 不明
dmi.memory.serial_number: 不明
dmi.memory.size: 1024 MB
dmi.memory.speed:   (ns)
dmi.memory.total_width: 72 bit
dmi.memory.type: DDR2
dmi.memory.use: System Memory
memory.memtotal: 8068980
memory.swaptotal: 7106556

Attaching screenshots

Comment 28 Daniel Lobato Garcia 2017-08-02 09:02 UTC
Created attachment 1308014 [details]
No RAM displayed at all on 6.3-16.0.beta

Comment 29 Daniel Lobato Garcia 2017-08-02 09:03 UTC
Created attachment 1308015 [details]
No RAM displayed at all on another host

Comment 32 Brad Buckingham 2017-08-24 20:12:20 UTC
Based upon comment 30, this fix should be in katello-3.4.4.  That was brought in as of Satellite 6.3 SNAP 10, which occurred after the bugzilla was marked failedQA.  Since it should now be available, I am going to mark the 'fixed in version' to denote availability in katello-3.4.4 and move the BZ to POST to be picked up by release team with the next SNAP.

Comment 33 Kedar Bidarkar 2017-10-02 13:23:10 UTC
[root@shana-babers ~]# free -h
              total        used        free      shared  buff/cache   available
Mem:           9.6G        247M        9.1G        8.4M        322M        9.1G
Swap:          1.0G          0B        1.0G


This is the value shown from the content-host and is 9.6GB

VERIFIED with sat6.3.0-snap18.0

Comment 34 Kedar Bidarkar 2017-10-02 13:24 UTC
Created attachment 1333233 [details]
RAM value as seen from content-host page

Comment 35 Kedar Bidarkar 2017-10-02 13:26 UTC
Created attachment 1333234 [details]
Ram value as seen from subscriptions page

Comment 36 Kedar Bidarkar 2017-10-02 15:36:38 UTC
the above attached screenshots show the memory values as seen from the UI.

Comment 37 pm-sat@redhat.com 2018-02-21 16:54:17 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.